package com.bonus.canteen.core.menu.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.dto.MenuDishesCookAddDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesCookEditDTO;
import com.bonus.canteen.core.menu.entity.MenuDishesCook;
import com.bonus.canteen.core.menu.vo.MenuDishesCookPageVO;

public interface MenuDishesCookService extends IService<MenuDishesCook> {
   void addMenuDishesCook(MenuDishesCookAddDTO content);

   Page<MenuDishesCookPageVO> getMenuDishesCookPage(String content);

   void editMenuDishesCook(MenuDishesCookEditDTO content);

   void removeByMaterialId(Long cookId);
}
